<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\Widget;

use XF\Widget\AbstractWidget;

class NewestMembers extends AbstractWidget
{
	protected $defaultOptions = [
		'limit' => 5
	];

	public function render()
	{
		if (!\XF::visitor()->canViewMemberList())
		{
			return '';
		}

		$userFinder = $this->finder('XF:User')
			->isValidUser()
			->order('register_date', 'DESC')
			->limit($this->options['limit']);

		$viewParams = [
			'users' => $userFinder->fetch(),
		];
		return $this->renderer('xentr_global_statistics', $viewParams);
	}

	public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint'
		]);
		if ($options['limit'] < 1)
		{
			$options['limit'] = 1;
		}

		return true;
	}
}