<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Admin\Controller;

use XF\Mvc\FormAction;

class Forum extends XFCP_Forum
{
    protected function saveTypeData(FormAction $form, \XF\Entity\Node $node, \XF\Entity\AbstractNode $data)
    {
        parent::saveTypeData($form, $node, $data);

        $editor = $this->plugin('XF:Editor');

		$data->xtr_notice = $this->filter('xtr_notice', 'bool');
		$data->xtr_notice_position = $this->filter('xtr_notice_position', 'uint');
		$data->xtr_notice_content = $editor->fromInput('xtr_notice_content');
		$data->xtr_notice_icon = $this->filter('xtr_notice_icon', 'str');
		$data->xtr_notice_icon_color = $this->filter('xtr_notice_icon_color', 'str');
		$data->xtr_notice_bg = $this->filter('xtr_notice_bg', 'str');
		
		$xtr_notice_bg = $this->filter('xtr_notice_bg', 'str');
		$form->validate(function(FormAction $form) use ($xtr_notice_bg)
		{
			if ($xtr_notice_bg && strpos($xtr_notice_bg, '@xf-') !== 0
				&& !\XF\Util\Color::isValidColor($xtr_notice_bg)
			)
			{
				$form->logError(\XF::phrase('please_choose_valid_text_color'));
			}
		});
    }
	
	protected function nodeSaveProcess(\XF\Entity\Node $node)
	{	
		/** @var \XF\Entity\Node $node */
		$form = $this->formAction();

		/**
		 * @param string $id
		 * @param array|string|null $with
		 * @param null|string $phraseKey
		 *
		 * @return \XF\Entity\Node
		 */
		 
		$input = $this->filter([
			'node' => [
                'xtr_node_image_enable' => 'int',
                'xtr_node_image' => 'str',
				'xtr_node_color' => 'str',
				'xtr_node_desc_color' => 'str',
			]
		]);
        $form = parent::nodeSaveProcess($node);
		$form->setup(function() use ($node, $input){
            $node->xtr_node_image_enable = $input['node']['xtr_node_image_enable'];
            $node->xtr_node_image = $input['node']['xtr_node_image'];
			$node->xtr_node_color = $input['node']['xtr_node_color'];
			$node->xtr_node_desc_color = $input['node']['xtr_node_desc_color'];
		});
		
		return $form;
	}
}