<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Admin\Controller;

class Page extends XFCP_Page
{
	protected function nodeSaveProcess(\XF\Entity\Node $node)
	{	
		/** @var \XF\Entity\Node $node */
		$form = $this->formAction();

		/**
		 * @param string $id
		 * @param array|string|null $with
		 * @param null|string $phraseKey
		 *
		 * @return \XF\Entity\Node
		 */
		 
		$input = $this->filter([
			'node' => [
                'xtr_node_image_enable' => 'int',
                'xtr_node_image' => 'str',
				'xtr_node_color' => 'str',
				'xtr_node_desc_color' => 'str',
			]
		]);
		
        $form = parent::nodeSaveProcess($node);
		$form->setup(function() use ($node, $input){
            $node->xtr_node_image_enable = $input['node']['xtr_node_image_enable'];
            $node->xtr_node_image = $input['node']['xtr_node_image'];
			$node->xtr_node_color = $input['node']['xtr_node_color'];
			$node->xtr_node_desc_color = $input['node']['xtr_node_desc_color'];
		});
		
		return $form;
	}
}