<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class Node extends XFCP_Node
{
	public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);
        
		$structure->columns['xtr_node_image_enable'] = ['type' => self::BOOL, 'default' => false];
        $structure->columns['xtr_node_image'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];
		$structure->columns['xtr_node_color'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];
		$structure->columns['xtr_node_desc_color'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];
		
        return $structure;
    }
	
    protected function _postSave()
    {
        parent::_postSave();

        \XF::repository('XF:Style')->updateAllStylesLastModifiedDate();
    }
}